NSRMIG(8)

NAME
nsrmig - migrate files for long-term storage with NetWorker HSM

SYNOPSIS
nsrmig [ -nvx ] [ -l percent ] [ -s server ] [ -t savetime ] [ -W width ] [ path ]

DESCRIPTION
nsrmig migrates files to the NetWorker server. Migration means replacing a file with a "stub" that points to a copy of the file made from premigration. If the stub is accessed at some later time, the file is automatically recalled to disk by the NetWorker server.

Criteria specified in the NetWorker migration client resource are used to select files for migration. Currently, only regular files are premigrated and migrated.

If no path argument is specified, the current directory is migrated. nsrmig does not cross mount points, nor does it follow symbolic links.

OPTIONS

-l percent
    Specifies a goal percentage for nsrmig. Migration stops when the goal percentage is reached. If the goal percentage is already reached when nsrmig is run, then nsrmig will do nothing and exit. If the -l option is not specified, then the goal percentage is read from the appropriate migration client resource.

-n  Indicates no stub replacement. Estimates the total number of files and the total size that is freed by stub replacement, but does not actually replace qualified files with stubs.

-s server
    Uses the NetWorker server named server.

-t savetime
    Migrates files that were premigrated at savetime.

-v  Verbose. Causes the nsrmig program to tell you in detail what it is doing as it proceeds. If you specify multiple -v options, then the verbosity level increases.

-W width
    Indicates the width that is used when summary information output is formatted.

-x  Cross mount points that are encountered.

DIAGNOSTICS

  Exit Codes
0   Normal exit.
-1  Abnormal exit.

SEE ALSO
nsr_getdate(3), hosts(5), nsr(5), nsr(8), nsr_client(5), nsr_device(5), nsr_group(5), nsr_service(5), nsrd(8), nsrhsmck(8), nsrindexd(8), nsrpmig(8), nsrmm(8), nsrmmd(8), nsrwatch(8), savefs(8), savegrp(8)